# Class RSSService

java.lang.Object
com.codename1.io.ConnectionRequest
com.codename1.io.services.RSSService

All Implemented Interfaces:
  `IOProgressListener, ParserCallback`

public class RSSService extends ConnectionRequest implements ParserCallback
Simple RSS read and parse request, to handle errors just subclass this and override parsingError.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class ConnectionRequest

  `ConnectionRequest.CachingMode, ConnectionRequest.SSLCertificate`

- ## Field Summary

  ### Fields inherited from class ConnectionRequest

  `PRIORITY_CRITICAL, PRIORITY_HIGH, PRIORITY_LOW, PRIORITY_NORMAL, PRIORITY_REDUNDANT`

  ### Fields inherited from interface ParserCallback

  `ERROR_ATTIBUTE_VALUE_INVALID, ERROR_ATTRIBUTE_NOT_SUPPORTED, ERROR_ENCODING, ERROR_MULTIPLE_ROOTS, ERROR_NO_CLOSE_TAG, ERROR_NO_ROOTS, ERROR_TAG_NOT_SUPPORTED, ERROR_UNEXPECTED_CHARACTER, ERROR_UNEXPECTED_TAG_CLOSING, ERROR_UNRECOGNIZED_CHAR_ENTITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSSService(String url)`
  Simple constructor accepting the RSS url
  `RSSService(String url, int limit)`
  Simple constructor accepting the RSS url
  `RSSService(String url, int limit, int startOffset)`
  Simple constructor accepting the RSS url

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(java.lang.Object o)`
  `Image`
  `getIconPlaceholder()`

  ###### Returns

  `Vector`
  `getResults()`
  The results are presented as a vector of hashtables easily presentable in Codename One
  `int`
  `hashCode()`
  `boolean`
  `hasMore()`
  Indicates whether more entries might be available since the limt might have been reached
  `boolean`
  `isCreatePlainTextDetails()`
  Creates an additional "details" attribute in the resulting hashtables which effectively contains a plain text version of the description tag.
  `boolean`
  `parsingError(int errorId, String tag, String attribute, String value, String description)`
  Called when encountering an error while parsing the XML document.
  `protected void`
  `readResponse(java.io.InputStream input)`
  Callback for the server response with the input stream from the server.
  `void`
  `setCreatePlainTextDetails(boolean createPlainTextDetails)`
  Creates an additional "details" attribute in the resulting hashtables which effectively contains a plain text version of the description tag.
  `void`
  `setIconPlaceholder(Image iconPlaceholder)`

  ###### Parameters

  ### Methods inherited from class ConnectionRequest

  `addArgument, addArgument, addArgument, addArgumentArray, addArgumentNoEncoding, addArgumentNoEncoding, addArgumentNoEncodingArray, addArguments, addExceptionListener, addRequestHeader, addResponseCodeListener, addResponseListener, buildRequestBody, cacheUnmodified, canGetSSLCertificates, checkSSLCertificates, cookieReceived, cookieSent, createRequestURL, downloadImageToFileSystem, downloadImageToFileSystem, downloadImageToFileSystem, downloadImageToFileSystem, downloadImageToFileSystem, downloadImageToFileSystem, downloadImageToStorage, downloadImageToStorage, downloadImageToStorage, downloadImageToStorage, downloadImageToStorage, downloadImageToStorage, fetchJSON, fetchJSONAsync, fireResponseListener, getCachedData, getCacheMode, getContentLength, getContentType, getCookieHeader, getDefaultCacheMode, getDefaultUserAgent, getDestinationFile, getDestinationStorage, getDisposeOnCompletion, getHeader, getHeaderFieldNames, getHeaders, getHttpMethod, getPriority, getReadTimeout, getRequestBody, getRequestBodyData, getResponseCode, getResponseContentType, getResponseData, getResponseErrorMessage, getResposeCode, getShowOnInit, getSilentRetryCount, getSSLCertificates, getTimeout, getUrl, getUserAgent, getYield, handleErrorResponseCode, handleException, handleIOException, handleRuntimeException, hasResponseListeners, initConnection, initCookieHeader, ioStreamUpdate, isCheckSSLCertificates, isCookiesEnabled, isCookiesEnabledDefault, isDefaultFollowRedirects, isDuplicateSupported, isFailSilently, isFollowRedirects, isHandleErrorCodesInGlobalErrorHandler, isInsecure, isKilled, isNativeCookieSharingSupported, isPausable, isPaused, isPost, isReadRequest, isReadResponseForErrors, isReadResponseForErrorsDefault, isReadTimeoutSupported, isRedirecting, isWriteRequest, kill, onRedirect, pause, postResponse, purgeCache, purgeCacheDirectory, readErrorCodeHeaders, readHeaders, removeAllArguments, removeArgument, removeExceptionListener, removeResponseCodeListener, removeResponseListener, resume, retry, setCacheMode, setCheckSSLCertificates, setChunkedStreamingMode, setContentType, setCookieHeader, setCookiesEnabled, setCookiesEnabledDefault, setDefaultCacheMode, setDefaultFollowRedirects, setDefaultUserAgent, setDestinationFile, setDestinationStorage, setDisposeOnCompletion, setDuplicateSupported, setFailSilently, setFollowRedirects, setHandleErrorCodesInGlobalErrorHandler, setHttpMethod, setInsecure, setKilled, setPaused, setPost, setPriority, setReadRequest, setReadResponseForErrors, setReadResponseForErrorsDefault, setReadTimeout, setRequestBody, setRequestBody, setShowOnInit, setSilentRetryCount, setTimeout, setUrl, setUseNativeCookieStore, setUserAgent, setWriteRequest, shouldAutoCloseResponse, shouldConvertPostToGetOnRedirect, shouldStop, shouldWriteUTFAsGetBytes, validate`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RSSService

    public RSSService(String url)

    Simple constructor accepting the RSS url

    ###### Parameters

    - `url`: rss link

  - ### RSSService

    public RSSService(String url, int limit)

    Simple constructor accepting the RSS url

    ###### Parameters

    - `url`: rss link

    - `limit`: the limit on the number of RSS entries supported

  - ### RSSService

    public RSSService(String url, int limit, int startOffset)

    Simple constructor accepting the RSS url

    ###### Parameters

    - `url`: rss link

    - `limit`: the limit on the number of RSS entries supported

    - `startOffset`: @param startOffset indicates the entry offset which we are interested in, this is useful if previously the limit for RSS entries was reached.

- ## Method Details

  - ### equals

    public boolean equals(java.lang.Object o)
    Description copied from class: `ConnectionRequest`
    Overrides:
      `equals` in class `ConnectionRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ConnectionRequest`

  - ### readResponse

    protected void readResponse(java.io.InputStream input) throws java.io.IOException

    Callback for the server response with the input stream from the server. This method is invoked on the network thread

    ###### Parameters

    - `input`: the input stream containing the response

    ###### Throws

    - `IOException`: when a read input occurs
    Overrides:
      `readResponse` in class `ConnectionRequest`
    Throws:
      `java.io.IOException`

  - ### getResults

    public Vector getResults()

    The results are presented as a vector of hashtables easily presentable in Codename One

    ###### Returns

    vector of hashtables

  - ### parsingError

    public boolean parsingError(int errorId, String tag, String attribute, String value, String description)

    Called when encountering an error while parsing the XML document. When implementing this, the developer should return true if the error should be ignored and the document needs to be further parsed, or false to stop parsing and issue an error to the user Note that this method is always called NOT on the EDT thread.

    ###### Parameters

    - `errorId`: The error ID, one of the ERROR_* constants

    - `tag`: The tag in which the error occured (Can be null for non-tag related errors)

    - `attribute`: The attribute in which the error occured (Can be null for non-attribute related errors)

    - `value`: The value in which the error occured (Can be null for non-value related errors)

    - `description`: A verbal description of the error

    ###### Returns

    true to continue parsing, false to stop

    Specified by:
      `parsingError` in interface `ParserCallback`

  - ### hasMore

    public boolean hasMore()

    Indicates whether more entries might be available since the limt might have been reached

    ###### Returns

    the hasMore

  - ### isCreatePlainTextDetails

    public boolean isCreatePlainTextDetails()

    Creates an additional "details" attribute in the resulting hashtables which effectively contains a plain text version of the description tag.

    ###### Returns

    the createPlainTextDetails

  - ### setCreatePlainTextDetails

    public void setCreatePlainTextDetails(boolean createPlainTextDetails)

    Creates an additional "details" attribute in the resulting hashtables which effectively contains a plain text version of the description tag.

    ###### Parameters

    - `createPlainTextDetails`: the createPlainTextDetails to set

  - ### getIconPlaceholder

    public Image getIconPlaceholder()

    ###### Returns

    the iconPlaceholder

  - ### setIconPlaceholder

    public void setIconPlaceholder(Image iconPlaceholder)

    ###### Parameters

    - `iconPlaceholder`: the iconPlaceholder to set